Package org.drinkless.tdlib

# Class TdApi.DeviceTokenWebPush

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.DeviceToken
org.drinkless.tdlib.TdApi.DeviceTokenWebPush

Enclosing class:
  `TdApi`

public static class TdApi.DeviceTokenWebPush extends TdApi.DeviceToken
A token for web Push API.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.DeviceToken

  `TdApi.DeviceToken.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `authBase64url`
  Base64url-encoded authentication secret.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `endpoint`
  Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.
  `String`
  `p256dhBase64url`
  Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTokenWebPush()`
  A token for web Push API.
  `DeviceTokenWebPush(String endpoint, String p256dhBase64url, String authBase64url)`
  A token for web Push API.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### endpoint

    public String endpoint
    Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.

  - ### p256dhBase64url

    public String p256dhBase64url
    Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.

  - ### authBase64url

    public String authBase64url
    Base64url-encoded authentication secret.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeviceTokenWebPush

    public DeviceTokenWebPush()
    A token for web Push API.

  - ### DeviceTokenWebPush

    public DeviceTokenWebPush(String endpoint, String p256dhBase64url, String authBase64url)
    A token for web Push API.
    Parameters:
      `endpoint` - Absolute URL exposed by the push service where the application server can send push messages; may be empty to deregister a device.
      `p256dhBase64url` - Base64url-encoded P-256 elliptic curve Diffie-Hellman public key.
      `authBase64url` - Base64url-encoded authentication secret.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.DeviceToken`
    Returns:
      this.CONSTRUCTOR